_dof6_hal_init:
;6dof_hal.c,113 :: 		void dof6_hal_init ( uint8_t address_id )
; address_id start address is: 0 (R0)
SUB	SP, SP, #4
; address_id end address is: 0 (R0)
; address_id start address is: 0 (R0)
;6dof_hal.c,117 :: 		start_i2c_p = I2C_Start_Ptr;
MOVW	R1, #lo_addr(_I2C_Start_Ptr+0)
MOVT	R1, #hi_addr(_I2C_Start_Ptr+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(6dof_hal_start_i2c_p+0)
MOVT	R1, #hi_addr(6dof_hal_start_i2c_p+0)
STR	R2, [R1, #0]
;6dof_hal.c,118 :: 		write_i2c_p = I2C_Write_Ptr;
MOVW	R1, #lo_addr(_I2C_Write_Ptr+0)
MOVT	R1, #hi_addr(_I2C_Write_Ptr+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(6dof_hal_write_i2c_p+0)
MOVT	R1, #hi_addr(6dof_hal_write_i2c_p+0)
STR	R2, [R1, #0]
;6dof_hal.c,119 :: 		read_i2c_p = I2C_Read_Ptr;
MOVW	R1, #lo_addr(_I2C_Read_Ptr+0)
MOVT	R1, #hi_addr(_I2C_Read_Ptr+0)
LDR	R2, [R1, #0]
MOVW	R1, #lo_addr(6dof_hal_read_i2c_p+0)
MOVT	R1, #hi_addr(6dof_hal_read_i2c_p+0)
STR	R2, [R1, #0]
;6dof_hal.c,194 :: 		_i2c_hw_address = address_id;
MOVW	R1, #lo_addr(6dof_hal__i2c_hw_address+0)
MOVT	R1, #hi_addr(6dof_hal__i2c_hw_address+0)
STRB	R0, [R1, #0]
; address_id end address is: 0 (R0)
;6dof_hal.c,198 :: 		}
L_end_dof6_hal_init:
ADD	SP, SP, #4
BX	LR
; end of _dof6_hal_init
_dof6_hal_write:
;6dof_hal.c,202 :: 		uint8_t count )
; count start address is: 8 (R2)
; buffer start address is: 4 (R1)
; command start address is: 0 (R0)
SUB	SP, SP, #264
STR	LR, [SP, #0]
; count end address is: 8 (R2)
; buffer end address is: 4 (R1)
; command end address is: 0 (R0)
; command start address is: 0 (R0)
; buffer start address is: 4 (R1)
; count start address is: 8 (R2)
;6dof_hal.c,205 :: 		uint8_t cmd_size = COMMAND_SIZE;
; cmd_size start address is: 12 (R3)
MOVS	R3, #1
;6dof_hal.c,206 :: 		uint16_t i = 0;
; i start address is: 24 (R6)
MOVW	R6, #0
;6dof_hal.c,207 :: 		uint8_t c=0;
MOV	R5, R0
; command end address is: 0 (R0)
; count end address is: 8 (R2)
; cmd_size end address is: 12 (R3)
; buffer end address is: 4 (R1)
; i end address is: 24 (R6)
UXTB	R0, R2
UXTB	R2, R3
;6dof_hal.c,209 :: 		while( cmd_size-- )
L_dof6_hal_write0:
; i start address is: 24 (R6)
; cmd_size start address is: 8 (R2)
; cmd_size start address is: 8 (R2)
; count start address is: 0 (R0)
; buffer start address is: 4 (R1)
; command start address is: 20 (R5)
UXTB	R4, R2
SUBS	R3, R2, #1
UXTB	R2, R3
; cmd_size end address is: 8 (R2)
CMP	R4, #0
IT	EQ
BEQ	L_dof6_hal_write1
; cmd_size end address is: 8 (R2)
;6dof_hal.c,210 :: 		temp[ i++ ] = *( command++ );
; cmd_size start address is: 8 (R2)
ADD	R3, SP, #8
ADDS	R4, R3, R6
LDRB	R3, [R5, #0]
STRB	R3, [R4, #0]
ADDS	R6, R6, #1
UXTH	R6, R6
ADDS	R5, R5, #1
; cmd_size end address is: 8 (R2)
; command end address is: 20 (R5)
IT	AL
BAL	L_dof6_hal_write0
L_dof6_hal_write1:
;6dof_hal.c,212 :: 		while ( count-- )
UXTH	R7, R6
; i end address is: 24 (R6)
MOV	R6, R1
L_dof6_hal_write2:
; buffer end address is: 4 (R1)
; buffer start address is: 24 (R6)
; count start address is: 0 (R0)
; i start address is: 28 (R7)
UXTB	R4, R0
SUBS	R3, R0, #1
UXTB	R0, R3
; count end address is: 0 (R0)
CMP	R4, #0
IT	EQ
BEQ	L_dof6_hal_write3
; count end address is: 0 (R0)
;6dof_hal.c,213 :: 		temp[ i++ ] = *( buffer++ );
; count start address is: 0 (R0)
ADD	R3, SP, #8
ADDS	R5, R3, R7
LDRB	R4, [R6, #0]
STRB	R4, [R5, #0]
ADDS	R7, R7, #1
UXTH	R7, R7
ADDS	R6, R6, #1
; count end address is: 0 (R0)
; buffer end address is: 24 (R6)
IT	AL
BAL	L_dof6_hal_write2
L_dof6_hal_write3:
;6dof_hal.c,217 :: 		start_i2c_p();
MOVW	R4, #lo_addr(6dof_hal_start_i2c_p+0)
MOVT	R4, #hi_addr(6dof_hal_start_i2c_p+0)
LDR	R4, [R4, #0]
STRH	R7, [SP, #4]
BLX	R4
LDRH	R7, [SP, #4]
;6dof_hal.c,218 :: 		write_i2c_p( _i2c_hw_address, temp, i, END_MODE_STOP );
ADD	R4, SP, #8
MOVW	R3, #lo_addr(6dof_hal__i2c_hw_address+0)
MOVT	R3, #hi_addr(6dof_hal__i2c_hw_address+0)
LDRB	R3, [R3, #0]
UXTH	R2, R7
MOV	R1, R4
; i end address is: 28 (R7)
UXTB	R0, R3
MOVW	R3, #1
MOVW	R4, #lo_addr(6dof_hal_write_i2c_p+0)
MOVT	R4, #hi_addr(6dof_hal_write_i2c_p+0)
LDR	R4, [R4, #0]
BLX	R4
;6dof_hal.c,258 :: 		}
L_end_dof6_hal_write:
LDR	LR, [SP, #0]
ADD	SP, SP, #264
BX	LR
; end of _dof6_hal_write
_dof6_hal_read:
;6dof_hal.c,262 :: 		uint8_t count )
SUB	SP, SP, #20
STR	LR, [SP, #0]
STR	R0, [SP, #8]
STR	R1, [SP, #12]
STRB	R2, [SP, #16]
;6dof_hal.c,264 :: 		uint8_t cmd_size = COMMAND_SIZE;
MOVS	R4, #1
STRB	R4, [SP, #4]
;6dof_hal.c,268 :: 		start_i2c_p();
MOVW	R4, #lo_addr(6dof_hal_start_i2c_p+0)
MOVT	R4, #hi_addr(6dof_hal_start_i2c_p+0)
LDR	R4, [R4, #0]
BLX	R4
;6dof_hal.c,269 :: 		write_i2c_p( _i2c_hw_address, command, cmd_size, END_MODE_RESTART );
MOVW	R3, #lo_addr(6dof_hal__i2c_hw_address+0)
MOVT	R3, #hi_addr(6dof_hal__i2c_hw_address+0)
LDRB	R3, [R3, #0]
LDRB	R2, [SP, #4]
LDR	R1, [SP, #8]
UXTB	R0, R3
MOVW	R3, #0
MOVW	R4, #lo_addr(6dof_hal_write_i2c_p+0)
MOVT	R4, #hi_addr(6dof_hal_write_i2c_p+0)
LDR	R4, [R4, #0]
BLX	R4
;6dof_hal.c,270 :: 		read_i2c_p( _i2c_hw_address, buffer, count, END_MODE_STOP );
MOVW	R3, #lo_addr(6dof_hal__i2c_hw_address+0)
MOVT	R3, #hi_addr(6dof_hal__i2c_hw_address+0)
LDRB	R3, [R3, #0]
LDRB	R2, [SP, #16]
LDR	R1, [SP, #12]
UXTB	R0, R3
MOVW	R3, #1
MOVW	R4, #lo_addr(6dof_hal_read_i2c_p+0)
MOVT	R4, #hi_addr(6dof_hal_read_i2c_p+0)
LDR	R4, [R4, #0]
BLX	R4
;6dof_hal.c,375 :: 		}
L_end_dof6_hal_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _dof6_hal_read
